import sys

sys.path.append("../")
import logging
import logging.handlers
import os
from common.variables import LOGGING_LEVEL

server_formatter = logging.Formatter(
    "%(asctime)s %(levelname)s %(filename)s %(message)s"
)
path = os.path.dirname(os.path.abspath(__file__))
path = os.path.join(path, "server.log")
steam = logging.StreamHandler(sys.stderr)
steam.setFormatter(server_formatter)
steam.setLevel(logging.INFO)
log_file = logging.handlers.TimedRotatingFileHandler(
    path, encoding="utf8", interval=1, when="D"
)
log_file.setFormatter(server_formatter)
logger = logging.getLogger("server")
logger.addHandler(steam)
logger.addHandler(log_file)
logger.setLevel(LOGGING_LEVEL)
